Send network setup request SERVER-SIDE
Step 1: Request a token
To perform an update on your company you will need a token to perform actions with. You create tokens with the Create Token call. Tokens can be set to be valid for a period of time or set to never expire. You need to decide if you want to store the token of each company in your system, or request a new one for each communication session. We recommend that tokens are created with a short TTL of 10 minutes.
Request Example
POST /v1/api/clientTokens/create HTTP/1.1
APIKey: --YOUR API KEY HERE--
Content-Type: application/json; charset=utf-8
Host: testapi.inexchange.se
Content-Length: 183
Expect: 100-continue
{
"erpId": "635604692357550266",
"validTo": "2026-05-26T12:54:10"
}
Response Example
HTTP/1.1 200 OK
Cache-Control: no-cache
Pragma: no-cache
Content-Length: 63
Content-Type: application/json; charset=utf-8
Expires: -1
Server: Microsoft-IIS/8.5
X-AspNet-Version: 4.0.30319
Date: Tue, 26 May 2026 12:54:10 GMT
{
"token": "--CLIENT TOKEN HERE--"
}
Step 2: Issue network setup request
In order to perform a network setup request is via the Company Setup Request call. The call returns a request-id for correlating it with the request result notification described here.
Request Example
POST /v1/api/network/setup HTTP/1.1
Host: testapi.inexchange.se
Content-Type: application/json
ClientToken: --CLIENT TOKEN HERE--
Accept: */*
Content-Length: 152
{
"operator": {
"name": "Operator Demo"
},
"name": "Recipient DEMO",
"OrgNo": "123456-7890",
"GLN": "777777777",
"Email": "recipientexample@inechange.se"
"processes": [
"ReceiveInvoices"
]
}
Response Example
HTTP/1.1 200 OK
Cache-Control: no-cache
Pragma: no-cache
Content-Length: 2
Content-Type: application/json; charset=utf-8
Expires: -1
Server: Microsoft-IIS/8.5
X-AspNet-Version: 4.0.30319
Date: Tue, 26 May 2026 12:54:10 GMT
{
"requestId": "0bcdc51e-b022-49e9-bd63-3eaf03c89301"
}